## IAnjutaMessageView

IAnjutaMessageView — A view where messages of different kind can be shown

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-message-view.h>

    #define             IANJUTA_TYPE_MESSAGE_VIEW_TYPE
    enum                IAnjutaMessageViewType;
    #define             IANJUTA_MESSAGE_VIEW_ERROR
                        IAnjutaMessageView;
                        IAnjutaMessageViewIface;

## Object Hierarchy

      GInterface
       +----IAnjutaMessageView

## Prerequisites

IAnjutaMessageView requires GObject.

## Signals

      "buffer-flushed"                                 : Run Last
      "message-clicked"                                : Run Last

## Description

## Details

### IANJUTA_TYPE_MESSAGE_VIEW_TYPE

    #define IANJUTA_TYPE_MESSAGE_VIEW_TYPE (ianjuta_message_view_type_get_type())

### enum IAnjutaMessageViewType

    typedef enum {
    	IANJUTA_MESSAGE_VIEW_TYPE_NORMAL,
    	IANJUTA_MESSAGE_VIEW_TYPE_INFO,
    	IANJUTA_MESSAGE_VIEW_TYPE_WARNING,
    	IANJUTA_MESSAGE_VIEW_TYPE_ERROR
    } IAnjutaMessageViewType;

### IANJUTA_MESSAGE_VIEW_ERROR

    #define IANJUTA_MESSAGE_VIEW_ERROR ianjuta_message_view_error_quark()

### IAnjutaMessageView

    typedef struct _IAnjutaMessageView IAnjutaMessageView;

### IAnjutaMessageViewIface

    typedef struct _IAnjutaMessageViewIface IAnjutaMessageViewIface;

## Signal Details

### The `"buffer-flushed"` signal

    void                user_function                      (IAnjutaMessageView *ianjutamessageview,
                                                            gchar              *arg1,
                                                            gpointer            user_data)               : Run Last

`ianjutamessageview` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"message-clicked"` signal

    void                user_function                      (IAnjutaMessageView *ianjutamessageview,
                                                            gchar              *arg1,
                                                            gpointer            user_data)               : Run Last

`ianjutamessageview` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.